Version mismatch between Statistics Manager and its processor

Technote (troubleshooting)


Problem(Abstract)

When connecting IBM SPSS Statistics Client to Statistics Server, a mismatch error is displayed and execution of simple commands fails.

Symptom

The error displayed is:
"The version of the SPSS Statistics Manager does not match the version of the SPSS Statistics Processor. There may be problems regarding communication between the two."

Starting SPSS Statistics Client locally is successful and does not display any error messages. This only occurs when connecting to Statistics Server.


Cause

Two different versions of SPSS Statistics Server were running at the same time (e.g. Statistics Server 19 and 21). When connecting to Statistics Server 21, end-user was actually using the port reserved for Statistics Server 19 (i.e. 3019 instead of 3021). Thus the end-user is using the front-end (UI) of Statistics 21, but was connected to a Statistics 19 back-end engine.

Environment

Windows

Resolving the problem

If multiple versions of Statistics Server is required to be running simultaneously, editing the port number to '3021' resolved this problem.
Final resolution is to remove SPSS Statistics Server 19 and only use one version of SPSS Statistics.

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

SPSS Statistics
Statistics Server

Software version:

Not Applicable

Operating system(s):

Platform Independent

Reference #:

1635756

Modified date:

2013-04-29

Translate my page

Machine Translation

Content navigation